Register platform
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', slug: '<string>', auth0_client_id: '<string>'})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms"
payload = {
"name": "<string>",
"slug": "<string>",
"auth0_client_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"auth0_client_id": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auth0_org_id": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"logo_url": "<string>",
"support_email": "<string>",
"support_url": "<string>",
"onboarding_completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Platforms
Register platform
Register a new platform with a development environment. Creates an Auth0 Organization and a corresponding database record. The provided auth0_client_id is used as the M2M credential for the initial development environment.
POST
/
v1
/
platforms
Register platform
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', slug: '<string>', auth0_client_id: '<string>'})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms"
payload = {
"name": "<string>",
"slug": "<string>",
"auth0_client_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"auth0_client_id": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auth0_org_id": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"logo_url": "<string>",
"support_email": "<string>",
"support_url": "<string>",
"onboarding_completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Auth0 JWT access token. See Authentication for details.
Body
application/json
Response
Successful Response